Tag added sample
curl --request GET \
--url https://api.kajabi.com/v1/hooks/tag_added_sample \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kajabi.com/v1/hooks/tag_added_sample"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kajabi.com/v1/hooks/tag_added_sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kajabi.com/v1/hooks/tag_added_sample",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kajabi.com/v1/hooks/tag_added_sample"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kajabi.com/v1/hooks/tag_added_sample")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kajabi.com/v1/hooks/tag_added_sample")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"type": "contacts",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"subscribed": true,
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"external_user_id": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"tags": {
"data": [
{
"id": "<string>",
"type": "contact_tags"
}
]
}
}
}
]{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}Webhooks
Tag added sample
Returns sample webhook payload for the tag_added event:
[
{
"id": "0",
"type": "contacts",
"attributes": {
"name": "Sample Recipient",
"email": "sample@example.com",
"address_line_1": "123 Kajabi Ln",
"address_line_2": "Kajabi Suite 4",
"address_city": "Kajabiwood",
"address_country": "United Sites of Kajabi",
"address_state": "Kajabifornia",
"address_zip": "99999",
"phone_number": "5555555555",
"business_number": null,
"subscribed": false,
"external_user_id": null,
"created_at": "2025-07-31T16:51:04.010Z",
"updated_at": "2025-07-31T16:51:04.010Z"
},
"links": {
"customer": ""
},
"relationships": {
"site": {
"data": {
"id": "2",
"type": "sites"
}
}
}
},
{
"id": "0",
"type": "contact_tags",
"attributes": {
"name": "Tag"
},
"relationships": {
"site": {
"data": {
"id": "2",
"type": "sites"
}
}
}
}
]
Actual Payloads
The actual payloads are sent to the target_url as a POST request with the following JSON body:
{
"id": "hash_id",
"event": "tag_added",
"payload": [],
}
The payload array is the sample response above
GET
/
v1
/
hooks
/
tag_added_sample
Tag added sample
curl --request GET \
--url https://api.kajabi.com/v1/hooks/tag_added_sample \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kajabi.com/v1/hooks/tag_added_sample"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kajabi.com/v1/hooks/tag_added_sample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kajabi.com/v1/hooks/tag_added_sample",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kajabi.com/v1/hooks/tag_added_sample"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kajabi.com/v1/hooks/tag_added_sample")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kajabi.com/v1/hooks/tag_added_sample")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"type": "contacts",
"attributes": {
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"business_number": "<string>",
"subscribed": true,
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_country": "<string>",
"external_user_id": "<string>",
"address_zip": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"tags": {
"data": [
{
"id": "<string>",
"type": "contact_tags"
}
]
}
}
}
]{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"source": {
"pointer": "<string>"
},
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?